#ifndef VREATHITEM_H_
#define VREATHITEM_H_
#include "VioletVreath.h"
#include "jp/gecchi/VioletVreath/actor/item/Item.h"

namespace VioletVreath {

/**
 * Vreath夞暅傾僀僥儉彫 .
 * @version 1.00
 * @since 2011/11/21
 * @author Masatoshi Tsuge
 */
class VreathItem : public Item {


public:
    enum {
        PROG_DRIFT      , //捠忢堏摦忬懺
        PROG_ATTACH     , //媧拝拞(枹媧拝)忬懺
        PROG_ABSORB     , //媧拝拞(媧拝嵪)忬懺
        PROG_BANPEI,
    };

    /** 媧拝嵎暘嵗昗 */
    int kDX_, kDY_, kDZ_;
    /** 暯峴堏摦巟墖 */
    GgafDxCore::GgafDxAxesMover* pAxsMver_;

public:
    VreathItem(const char* prm_name, const char* prm_model, GgafCore::GgafStatus* prm_pStat);

    virtual void onCreateModel() override {
    }

    virtual void initialize() override;

    virtual void onActive() override;

    virtual void processBehavior() override;

    virtual void processJudgement() override;

    virtual void onInactive() override;

    virtual void onHit(const GgafCore::GgafActor* prm_pOtherActor) override;

    virtual ~VreathItem();
};

}
#endif /*VREATHITEM_H_*/

